# Gärbox Manager
Der Gärbox-Manager dient dazu, die Temperatur in einer Styropor-Box konstant auf einer bestimmten Temperatur zu halten, so dass der Sauerteig optimale Bedingungen hat. Er ist erstmal quasi nur ein Thermostat, wie man ihn auch fertig kaufen kann (z.B. bei ELV). Für mich ist er aber besser bedien- und ablesbar. 

![](pictures/gbmanager01.jpg)

![](pictures/gbmanager02.jpg)

## Hardware
Der Gerät besteht grob aus folgenden Komponenten:
- Raspberry Pi Pico
- Relaismodul für Arduino(SRD-05VDC-SL-C)
- Temperatursensor DS18B20
- I²C 16x2 LCD-Display
- Lochrasterplatine mit einigen elektronischen Bauteilen
- Gehäuse aus dem 3D-Drucker

Die Kosten für die Bauteile belaufen sich auf ca. 23 €.

## Software
Die Software ist derzeit noch rudimentär gehalten. Die Temperatur wird perodisch ausgelesen und die Heizmatte entsprechend der Zieltemperatur an- oder ausgeschaltet. Über Interrupts wird auf drei Drucktaster reagiert. Dadurch können (derzeit) die Zieltemperatur eingestellt sowie die Heizungsregelung (de)aktiviert werden.

### Verwendete Bibliotheken
Für die Ansteuerung des LCD wird `rpi-pico-i2c-lcd` von _T-622_ ([Github](https://github.com/t-622/rpi-pico-i2c-lcd)) verwendet, das wiederum auf `python_lcd` von _dhylands_ ([Github](https://github.com/dhylands/python_lcd)) basiert. Letzteres steht unter der MIT-Lizenz. `rpi-pico-i2c-lcd` ist ohne Lizenzangabe. Die entspechenden Dateien liegen der Einfachheit halber im `lib` Unterverzeichnis.

### Installation
Am einfachsten ist es, mittels [Thonny](https://thonny.org/) die Datei `main.py` sowie den `lib`-Ordner ins Hauptverzichnis des Picos zu kopieren. Auf dem Pico muss natürlich MicroPython installiert sein. Fertig.

# Aufbau
Die zum Aufbau notwendigen Informationen bzw. Dateien befinden sich in diesem Repository. 

Im Verzeichnis _KiCAD_ sind der Schaltplan sowie die Leiterplatte (ich verwende eine einfache 2,54 mm Lochrasterplatine) abgelegt. Im Leiterplatteneditor habe ich im Nutzer.1-Layer ein Gitternetz hinterlegt. Dieses kann man mit ausdrucken und hat somit eine schöne Vorlage für das Löten der Leiterbahnen.

![](pictures/pcb.png)

Im Verzeichnis _FreeCAD_ befindet sich das entsprechende CAD-Projekt sowie die daraus exportierten STL-Dateien, die man im Slicer für den 3D-Drucker importieren kann.

![](pictures/case_cover.png)

## Anschließen und Bedienung
**Hinweis:** Aufbau und Betrieb erfolgen auf _eigene Gefahr_! Wir haben es hier mit Netzspannung zu tun, die **lebensgefährlich** ist.

Das Gerät wird über ein microUSB-Kabel mit einem 5V Netzteil, wie man es zum Aufladen von Smartphones verwendet, verbunden. Der Raspberry Pi Pico benötigt sehr wenig Strom, es genügt daher ein "schwaches" Netzteil. Der Euro-Stromstecker kommt an die Steckdose. Damit ist (über ein Relais) das andere Stromkabel, das mit einer Euro-Buchse versehen ist, verbunden. An diese Buchse wiederum kommt die Heizmatte. Das letzte Kabel – in meinem Fall das hellgraue – ist der Temperaturfühler. Dieses muss über eine Bohrung o. ä. in die Gärbox eingeführt werden, so dass eine Temperaturerfassung des Innenraums möglich ist.

Mit den blauen Tasten stellt man die gewünschte Temperatur ein. Rot schaltet die Heizungssteuerung ein/aus. Ein ">H<" zeigt an, ob gerade geheizt wird.